#if !defined(AFX_TEXTPROPDLG_H__31A82885_676D_4F06_8B00_2ABC651E0A95__INCLUDED_)
#define AFX_TEXTPROPDLG_H__31A82885_676D_4F06_8B00_2ABC651E0A95__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TextPropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTextPropDlg dialog
#include "ReportDict.h"
#include "afxwin.h"
//#include <apl_api.h>

class CReportElement;

class CTextPropDlg : public CaplTranslateDialog
{
// Construction
protected:
	CFont m_VFont;
public:
	bool TestUpdate();
	UINT GetSpacePara();
	void SetSpaceState(UINT space);
	int m_align;
	UINT GetAlign();
	void SetCheck(UINT align, bool bChange = true);
	int mode;
	void LoadParams();
	bool UpdateDlg(BOOL UPD = TRUE);
	CRectReportElement* elem;
	CTextPropDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTextPropDlg)
	enum { IDD = IDD_TEXT_PROP_DLG };
	CaplButton	m_vert_btn;
	CaplButton	m_rvert_btn;
	CaplButton	m_rhorz_btn;
	CaplButton	m_horz_btn;
	CaplButton	m_font_btn;
	CaplStatic	m_TextColorCtrl;
	CButton	m_word_break_btn;
	CaplButton	m_space2_btn;
	CaplButton	m_space15_btn;
	CaplButton	m_space1_btn;
	CaplButton	m_tr_btn;
	CaplButton	m_tl_btn;
	CaplButton	m_tc_btn;
	CaplButton	m_cr_btn;
	CaplButton	m_cl_btn;
	CaplButton	m_center_btn;
	CaplButton	m_bl_btn;
	CaplButton	m_bc_btn;
	CaplButton	m_br_btn;
	CButton	m_show_text;
	CButton	m_show_param;
	CString	m_text;
	UINT	m_size_font;
	CString	m_name_font;
	BOOL	m_hide_frame;
	BOOL	m_fit_to_rect;
	BOOL	m_bCreateTableContent;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTextPropDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetTextDirectionsButtonsIco(CaplButton *btn, UINT Direction);
	void SetTextDirection(UINT Direction);
	LOGFONT		m_lf;
	COLORREF	m_Color;
	UINT		m_direction;

	// Generated message map functions
	//{{AFX_MSG(CTextPropDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnFontSelect();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnShowParam();
	afx_msg void OnShowText();
	afx_msg void OnTopLeft();
	afx_msg void OnTopCenter();
	afx_msg void OnTopRight();
	afx_msg void OnCenterLeft();
	afx_msg void OnCenter();
	afx_msg void OnCenterRight();
	afx_msg void OnBottomLeft();
	afx_msg void OnBottomCenter();
	afx_msg void OnBottemRight();
	afx_msg void OnSpace1();
	afx_msg void OnSpace15();
	afx_msg void OnSpace2();
	afx_msg void OnFitToRect();
	afx_msg void OnRvertText();
	afx_msg void OnHorzText();
	afx_msg void OnVertText();
	afx_msg void OnRhorzText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_bShowTopLine;
	BOOL m_bHideForOnePage;
	CButton m_use_even_check;
	CComboBox m_use_even_combo;
	afx_msg void OnBnClickedUseEvenCheck();
	afx_msg void OnCbnSelchangeUseEvenCombo();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTPROPDLG_H__31A82885_676D_4F06_8B00_2ABC651E0A95__INCLUDED_)
